Subject: bug#4897: 23.1.50; Info-index and ? in minibuffer

From: Drew Adams <[email-masked]>
Date: Sat, 2 Nov 2019 08:38:19 -0700 (PDT)

> It is very unusual for an index entry to include the question mark, so
> I think the case for the change is quite weak.

That's true.  And the fact that using `?'
immediately shows `*Help*' helps (especially if
that help tells you about `?' - see below).

So I retract my vote to remove it.
___

However, it might be better for the displayed help
to not immediately disappear if you click it or
try to search it (`C-s'), etc., and to put it into
a separate window.  I.e., let it just do what
`C-h m' does.

And it might be better for the displayed help to
put this first line before other key descriptions:

?	Display this help.  (`C-q ?' inserts `?'.)
h	Invoke the Info tutorial.
q	Quit Info: reselect previously selected buffer.